using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
//class ListViewBackHandler {
public enum ListViewBackTypeEnum
{
    create,
    update,
    click,
    touchBegin,
    touchMove,
    touchEnd,
    //remove;
}
public delegate void listViewBack(GameObject gameObject, int idx,ListViewBackTypeEnum backType);
public delegate void gradViewBack(GameObject gameObject, int idx, ListViewBackTypeEnum backType);
public delegate void GetGradViewInfo(int idx,ref string useName,ref float height);
////true 保留 false 终止
public delegate bool timeEventBack(string name);
//id 随机id url 请求的url  data 返回的数据，如果失败null 
//返回值 int -1 失败不做循环  0 成功 1 失败插入循环处理
public delegate int onUrlBackHandler(string id,string url,bool isSuccess,System.Object data);
public delegate void LoadImageInfo(bool isOk);
public delegate void OnEmptyBack(GameObject gameObject);
public delegate bool DigitMatrixSetBack(short x, short y,short c);
public delegate bool DigitMatrixIsEqual<T>(T t1, T t2);
public delegate bool DigitMatrixSetBackT<T>(short x, short y, T c);
public delegate void TaskItemBack(System.Object[] list);
public delegate void EventChildItemBack(List<UnityEngine.Object> uobjects, List<System.Object> objects);
public delegate void OnAreaHandler(int id, bool isOk);//显示区域或者显示组完成回调
public delegate void LoadImageBack(Sprite sprite,string id,Image image);
public delegate void NotifyEmptParam();
public delegate void NotifyBoolParam(bool isOk);
public delegate void NotifyParam2(string p1, string p2);
public delegate void ActionBack(GameObject gameobject,int aid);
//}
